# cc_ccache_iterator_t Overview

## Detailed Description

The cc_ccache_iterator_t type represents an iterator that iterates over a set of ccaches and returns them in all in some order. A new instance of this type can be obtained by calling cc_context_new_ccache_iterator().

For API function documentation see cc_ccache_iterator_f.

## Data Structures

- struct cc_ccache_iterator_d

## Typedefs

- typedef cc_ccache_iterator_f cc_ccache_iterator_f
- typedef cc_ccache_iterator_d cc_ccache_iterator_d
- typedef cc_ccache_iterator_d * cc_ccache_iterator_t

## Typedef Documentation

typedef struct cc_ccache_iterator_f cc_ccache_iterator_f

typedef struct cc_ccache_iterator_d cc_ccache_iterator_d

typedef cc_ccache_iterator_d* cc_ccache_iterator_t